Version 1.5.6

The latest news about Gargoyle

Moderator: Moderators

pauldrangel
Posts: 2
Joined: Thu Aug 16, 2012 6:20 pm

Re: Version 1.5.6

Post by pauldrangel »

I'm sure someone has gotten OpenVPN (client) to work on this version. This is my first time using OpenVPN and so far I have had no luck. Could someone help me out with my problem?

I recently set up an OpenVZ VPS server running Ubuntu 10.04 64-bit. I am using Webmin to configure my server. I installed OpenVPN-AS and was successful getting my Windows client to logon, but when I tried getting Gargoyle working with it I was unable to connect.

So I need to know what's the easiest way to get OpenVPN working through my VPS? What version of OpenVPN should I use and how to install it? Should I use the OpenVPN webmin module? Then how do I get the required keys and certs for Gargoyle?

I am using:
Gargoyle 1.5.6 on Netgear WNDR3700v1
OpenVZ VPS - Ubuntu 10.04 64-bit - Webmin (Urpad.net Standard linux vps) Tun/Tap enabled.

Thanks in advance

ispyisail
Moderator
Posts: 4834
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: Version 1.5.6

Post by ispyisail »

pauldrangel wrote:I'm sure someone has gotten OpenVPN (client) to work on this version. This is my first time using OpenVPN and so far I have had no luck. Could someone help me out with my problem?

I recently set up an OpenVZ VPS server running Ubuntu 10.04 64-bit. I am using Webmin to configure my server. I installed OpenVPN-AS and was successful getting my Windows client to logon, but when I tried getting Gargoyle working with it I was unable to connect.

So I need to know what's the easiest way to get OpenVPN working through my VPS? What version of OpenVPN should I use and how to install it? Should I use the OpenVPN webmin module? Then how do I get the required keys and certs for Gargoyle?

I am using:
Gargoyle 1.5.6 on Netgear WNDR3700v1
OpenVZ VPS - Ubuntu 10.04 64-bit - Webmin (Urpad.net Standard linux vps) Tun/Tap enabled.

Thanks in advance


Eric has mentioned that openvpn server and clients can have problems if they don't run the same or similar versions?

Is your ubuntu openvpn a client or server ?

Then how do I get the required keys and certs for Gargoyle?

Have you installed gargoyle firmware yet?

http://www.gargoyle-router.com/wiki/dok ... ertorouter

pauldrangel
Posts: 2
Joined: Thu Aug 16, 2012 6:20 pm

Re: Version 1.5.6

Post by pauldrangel »

I was running OpenVPN-AS (Access Server) v1.8.4 which is of course server software. I'm new to OpenVPN software, but I think the major difference is a built in web GUI at port 943 which will allow you to login using an account and download OpenVPN config file / client software for a VPN connection. You can also access an admin control page allowing you to change settings in OpenVPN, add users, etc. However, I was unable to find a way to download all the necessary keys that Gargoyle requires (the openvpn config, keys, and certs). So I found a way to extract the files within Ubuntu, but Gargoyle would only run the OpenVPN client but was unable to connect to my VPS server.

I'm thinking about trying again and am going to use OpenVPN 2.3 alpha 3. Also with the OpenVPN webmin module. Right now I have a problem with my VPS because my SSH module is broken somehow. I cannot get it to start. I'm working on it.

The link you pointed to about Gargoyle OpenVPN is not very helpful in trying to get the client side working. It doesn't explain keys and such. But yes, I am using Gargoyle 1.5.6. Then if I understand you right, Gargoyle OpenVPN client may not be compatible with OpenVPN-AS 1.8.4?

I'll try OpenVPN 2.3 alpha 3 and see what I can get going.

ispyisail
Moderator
Posts: 4834
Joined: Mon Apr 06, 2009 3:15 am
Location: New Zealand

Re: Version 1.5.6

Post by ispyisail »

pauldrangel wrote:I was running OpenVPN-AS (Access Server) v1.8.4 which is of course server software. I'm new to OpenVPN software, but I think the major difference is a built in web GUI at port 943 which will allow you to login using an account and download OpenVPN config file / client software for a VPN connection. You can also access an admin control page allowing you to change settings in OpenVPN, add users, etc. However, I was unable to find a way to download all the necessary keys that Gargoyle requires (the openvpn config, keys, and certs). So I found a way to extract the files within Ubuntu, but Gargoyle would only run the OpenVPN client but was unable to connect to my VPS server.

I'm thinking about trying again and am going to use OpenVPN 2.3 alpha 3. Also with the OpenVPN webmin module. Right now I have a problem with my VPS because my SSH module is broken somehow. I cannot get it to start. I'm working on it.

The link you pointed to about Gargoyle OpenVPN is not very helpful in trying to get the client side working. It doesn't explain keys and such. But yes, I am using Gargoyle 1.5.6. Then if I understand you right, Gargoyle OpenVPN client may not be compatible with OpenVPN-AS 1.8.4?

I'll try OpenVPN 2.3 alpha 3 and see what I can get going.


can you draw a diagram?

im a little confused in what you are trying to do
OpenVPN-AS


are you runnimg this on top of ubnutu?

Gargoyle OpenVPN client


your trring to set up a "site to site" and use gargoyle openvpn as a client?

OpenVPN 2.3 alpha

but becase you are having trouble you are trying "client to site" (ubuntu openvpn server)

???

after some thought.....................you can't access your ubuntu server with ssh for command line access. so you are trying to get the openvpn keys through webmin.

I would suggest this is getting out of the scope of the gargoyle forum

http://www.frontiernet.net/~beakmyn/vpn ... Guide.html

yc3948
Posts: 164
Joined: Sat Sep 10, 2011 1:04 am

Re: Version 1.5.6

Post by yc3948 »

after 3 weeks still not have any solution or update? :cry:
Buffalo WZR-HP-G300NH2 DD-WRT v24SP2-MULTI (10/31/11) std
Buffalo WZR-HP-G300NH Gargoyle 1.5.9+1f082daf
Linksys WRT54GL Gargoyle 1.4.4
TP-Link TL-WR1043ND Gargoyle 1.5.9+1f082daf

User avatar
powerlogy
Posts: 66
Joined: Wed Aug 22, 2012 12:04 pm
Location: Turkey

Re: Version 1.5.6

Post by powerlogy »

Hello Devs, please build a lite version of 1.5.6, i mean without OpenVPN and Tor. These two beast eats free space!

sliddjur
Posts: 5
Joined: Fri Apr 15, 2011 2:43 am

Re: Version 1.5.6

Post by sliddjur »

Time settings seems to be wrong for me aswell.
wndr3700v2

trent25
Posts: 1
Joined: Mon Aug 27, 2012 4:05 pm

Re: Version 1.5.6

Post by trent25 »

What's the correct procedure for rolling back to v1.4.7 (stable) build, from v1.5.6 (experimental) build?

Running on TP-Link TL-WR1043ND.
Do I need to do v1.5.x -> stock -> v1.4.x, or can I go straight to stable build? Do I use the upgrade web interface?
Should I restore default configuration before rolling back?
I need to use the "...-sysupgrade.bin" file, right?

Sorry for the basic questions, but I only started using Gargoyle 1 week ago after I got the WR1043ND. Been an original tomato user on a couple of WRT54GL's for years, but going though the wiki I was encouraged to get a compatible router and try gargoyle and now I'm loving it, the mix of simplicity and features of gargoyle for home use is perfect! :D

Keep up the great work!
Thanx

jefman
Posts: 51
Joined: Thu Oct 20, 2011 2:46 am

Re: Version 1.5.6

Post by jefman »

Can't install drivers for wireless card rtl-8185 for x86 machine.

I try to install the driver packages in openwrt but no success please help.
I want to use it as wifi AP ifconfig cant detect the wlan0 interface. I think its because theres no drivers for my rtl8185 for my x86 machine

I want to use my wireless card

Post Reply